Skip to main content
POST
/
approvals
/
{org}
/
{flow_name}
Create approval
curl --request POST \
  --url https://app.kosli.com/api/v2/approvals/{org}/{flow_name} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "artifact_fingerprint": "<string>",
  "description": "<string>",
  "src_commit_list": [
    "<string>"
  ],
  "environment": "<string>",
  "oldest_commit": "<string>",
  "approvals": [
    {
      "state": "APPROVED",
      "comment": "<string>",
      "approved_by": "<string>",
      "approval_url": "<string>"
    }
  ],
  "user_data": {}
}
'
{
  "artifact_fingerprint": "<string>",
  "description": "<string>",
  "src_commit_list": [
    "<string>"
  ],
  "environment": "<string>",
  "oldest_commit": "<string>",
  "approvals": [
    {
      "state": "APPROVED",
      "comment": "<string>",
      "approved_by": "<string>",
      "approval_url": "<string>"
    }
  ],
  "user_data": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

flow_name
string
required
org
string
required

Body

application/json

Create approval for an artifact.

artifact_fingerprint
string
required

The sha256 fingerprint of the artifact that is approved

Pattern: ^[a-f0-9]{64}$
description
string
required

Description for the approval

src_commit_list
string[]
required
Pattern: ^[a-f0-9]{40}$
environment
string | null

Environment the approval is valid for

oldest_commit
string | null

The oldest commit

Pattern: ^[a-f0-9]{40}$
approvals
Approval · object[] | null

List of approvals

user_data

Response

Successful Response

Create approval for an artifact.

artifact_fingerprint
string
required

The sha256 fingerprint of the artifact that is approved

Pattern: ^[a-f0-9]{64}$
description
string
required

Description for the approval

src_commit_list
string[]
required
Pattern: ^[a-f0-9]{40}$
environment
string | null

Environment the approval is valid for

oldest_commit
string | null

The oldest commit

Pattern: ^[a-f0-9]{40}$
approvals
Approval · object[] | null

List of approvals

user_data
Last modified on April 7, 2026